import { create } from 'zustand';

interface AppStore {
  hideTabsNav: Record<string, boolean>;
  setHideTabsNavKey: (key: string, hide: boolean) => void;
}

export const useAppStore = create<AppStore>((set) => ({
  hideTabsNav: {},
  setHideTabsNavKey: (key: string, hide: boolean) =>
    set((state) => ({
      hideTabsNav: { ...state.hideTabsNav, [key]: hide }
    })),
}));